| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSFacet Class Reference

Inheritance diagram for XSFacet:

[legend]
Collaboration diagram for XSFacet:

[legend]
List of all members.

## Public Methods

Constructors
| XSFacet (XSSimpleTypeDefinition::FACET facetKind, const XMLCh *const lexicalValue, bool isFixed, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSFacet ()
XSFacet methods
XSSimpleTypeDefinition::FACET | getFacetKind () const
const XMLCh * | getLexicalFacetValue () const
bool | isFixed () const
| Check whether a facet value is fixed. More...
XSAnnotation * | getAnnotation () const

## Protected Attributes

XSSimpleTypeDefinition::FACET | fFacetKind
bool | fIsFixed
const XMLCh * | fLexicalValue
XSAnnotation * | fAnnotation

## Constructor & Destructor Documentation

XSFacet::XSFacet | ( | XSSimpleTypeDefinition::FACET | facetKind,
|  | const XMLCh *const | lexicalValue,
|  | bool | isFixed,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

The default constructor.

Parameters:

  facetKind |
  lexicalValue |
  isFixed |
  annot |
  xsModel |
  manager | The configurable memory manager

XSFacet::~XSFacet | ( |  | ) |

## Member Function Documentation

XSAnnotation * XSFacet::getAnnotation | ( |  | ) | const

Returns:
  an annotation

XSSimpleTypeDefinition::FACET XSFacet::getFacetKind | ( |  | ) | const

Returns:
  An indication as to the facet's type; see `XSSimpleTypeDefinition::FACET`

const XMLCh * XSFacet::getLexicalFacetValue | ( |  | ) | const

Returns:
  Returns a value of a constraining facet.

bool XSFacet::isFixed | ( |  | ) | const

| Check whether a facet value is fixed.

## Member Data Documentation

XSAnnotation* XSFacet::fAnnotation`[protected]`

XSSimpleTypeDefinition::FACET XSFacet::fFacetKind`[protected]`

bool XSFacet::fIsFixed`[protected]`

const XMLCh* XSFacet::fLexicalValue`[protected]`

The documentation for this class was generated from the following file:

- XSFacet.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.